# Contributing

We're very happy that you consider to contribute to our open source projects ! Cooperation is at the heart of COOPGO values and we're can't wait to see your improvements to our projects.

This page describe some guidelines to have your contributions included.

## How to contribute

To contribute to COOPGO open source projects, you need to :

1. Sign a Contributor Licence Agreement (CLA). If you are an indvidual contributing as yourself, please use the [Individual Contributor Licence Agreement](raw/branch/main/contributor_agreements/individual_cla.pdf). If you are an employee and have created the contribution as part of your employment, please use the [Corporate Contributor Licence Agreement](raw/branch/main/contributor_agreements/corporate_cla.pdf). 
   You can ask us by email (tech@coopgo.io) to send you an electronic signature link, providing the informations requested in the CLA document you want to submit (in this case, skip step 2).
2. Send the CLA to us by email (tech@coopgo.io)
3. Wait for approvement. Once approved, we will give us access to our source control system on https://git.coopgo.io.
4. Fork the main repository of the project you're willing to contribute to, within your personal organization on https://git.coopgo.io
5. Discuss the changes you're willing to make with COOPGO team through the tickets system
6. Commit your changes on your personal organization
7. Once your contribution is ready, please make a pull request with  sufficient information for COOPGO team to make a review

## Licence

By default, if not stated otherwise in the source repositories of the project itself, the licence applied to any material is AGPL version 3 or later.